MetricSetControllerParseScript Method

POST /MetricSet/ParseScript/ Parse a script for its structural break down to be used when displaying analysis when creating the script in the UI.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("ParseScript")]
public HttpResponseMessage ParseScript(
	[FromBodyAttribute] AddScriptMeasureOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsAddScriptMeasureOptions
The options for adding a script measure to the metric set.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
A ParseResult object containing the result, or a status code indicating the error.
See Also